export declare const sleep: (ms: number) => Promise<void>;
export declare function debounce<T extends (...args: any[]) => void>(cb: T, ms: number, getArgsKey?: (args: any[]) => string): T;
export declare function promiseQueue<A extends any[], R>(cb: (...args: A) => Promise<R> | R): (...args: A) => Promise<any>;
export declare const Is: {
    defed<T>(v: T | null | undefined): v is T;
    str(v: any): v is string;
    bool(v: any): v is boolean;
    fn(v: any): v is Function;
    obj(v: any): v is object;
    num(v: any): v is number;
};
export declare function defaults<T>(val: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, val2: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, val2: T | undefined, val3: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, val2: T | undefined, val3: T | undefined, val4: T | undefined, defaultVal: T): T;
export declare const DefaultLogFile: string;
export declare const formatDate: (d: Date) => string;
